V1 and V2Available Filters
Get available relationship filters
Get a list of available relationship filters
This endpoint lists the available search fields when filtering relationships and operations that can be carried out in each field. For a description of every field returned from this endpoint, please check the Relationships section in this guide.
This endpoint DOES NOT support the use of the "TEXT_SEARCH" operator
A complete list of operators and their meanings is available in the main section of filters.
NOTE: The most up-to-date list of attributes and operations is always returned for this endpoint.
Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X GET 'https://example.com/api/v1/filters/relationships'{ "data": [ { "attributes": [ { "filter_type": "TextAttribute", "key": "label", "operators": [ "exists", "!exists", "like", "eq", "!eq" ] }, { "filter_type": "TextAttribute", "key": "name", "operators": [ "exists", "!exists", "like", "eq", "!eq" ] }, { "filter_type": "DateAttribute", "key": "created", "operators": [ "exists", "!exists", "eq", "gt", "gte", "lt", "lte" ] }, { "filter_type": "BooleanAttribute", "key": "symmetrical", "operators": [ "exists", "!exists", "eq" ] }, { "filter_type": "TextAttribute", "key": "id", "operators": [ "like", "eq", "!eq" ] }, { "filter_type": "DateAttribute", "key": "modified", "operators": [ "exists", "!exists", "eq", "gt", "gte", "lt", "lte" ] } ] } ]}